cmake_minimum_required(VERSION 2.8)
project(test_mod_wiimotes)

add_executable(test_mod_wiimotes_basic test_mod_wiimotes_basic.cpp)
target_link_libraries(test_mod_wiimotes_basic spcore)
target_link_libraries(test_mod_wiimotes_basic testcommon)
target_link_libraries(test_mod_wiimotes_basic nvwa)
target_link_libraries(test_mod_wiimotes_basic spmod_wiimotes)
#add_test (NAME test_mod_wiimotes_basic COMMAND $<TARGET_FILE:nvwa_loader> $<TARGET_FILE:test_mod_wiimotes_basic>)

add_executable(test_mod_wiimites_config_gui test_mod_wiimites_config_gui.cpp)
target_link_libraries(test_mod_wiimites_config_gui spcore)
target_link_libraries(test_mod_wiimites_config_gui testcommon)
target_link_libraries(test_mod_wiimites_config_gui nvwa)
target_link_libraries(test_mod_wiimites_config_gui spmod_wiimotes)
target_link_libraries(test_mod_wiimites_config_gui ${wxWidgets_LIBRARIES})
add_test (NAME test_mod_wiimites_config_gui COMMAND $<TARGET_FILE:nvwa_loader> $<TARGET_FILE:test_mod_wiimites_config_gui>)

